Bug 1306553 - GCC6: -Wsign-compare causes bogus error
GCC6: -Wsign-compare causes bogus error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 04:30 EST by Antonio Trande
Modified: 2016-02-22 10:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 10:22:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 69688 None None None 2016-02-11 04:31 EST

  None (edit)
Description Antonio Trande 2016-02-11 04:30:30 EST
Description of problem:
Can you apply this patch to GCC6 ?
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69688

Version-Release number of selected component (if applicable):
gcc-6.0.0-0.10.fc24

How reproducible:
Always on rawhide.

Actual results:
This bug prevents IceCat builds on rawhide.
Comment 1 Marek Polacek 2016-02-11 04:37:49 EST
I'm pretty sure the fix will be in the next gcc build; gcc-6.0.0-0.10.fc24 was built on Feb 5 while the fix was committed on Feb 8.

Note You need to log in before you can comment on or make changes to this bug.